Bug 249498 - USB thumb drive now not recognied properly with new kernel
USB thumb drive now not recognied properly with new kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 02:44 EDT by Peter Garcia-Webb
Modified: 2008-01-09 12:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 12:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Garcia-Webb 2007-07-25 02:44:00 EDT
Description of problem:
USB thumb drive now not recognised in that it is not possible to view the
contents of the drive

Version-Release number of selected component (if applicable):
Kernal 2.6.22.1-27.fc7

How reproducible:
Very

Steps to Reproduce:
1.Simply plug in drive to any USB port
2.
3.
  
Actual results:
USB drive is recognised properly (see log) but no window opens whether as root
or not.  Previous Kernal (2.6.21-1.3228.fc7) works fine

Expected results:
Mount the drive

Additional info:
The log shows this:  

Jul 25 14:29:15 pstudy kernel: usb 2-7: new high speed USB device using ehci_hcd
and address 2

Jul 25 14:29:15 pstudy kernel: usb 2-7: configuration #1 chosen from 1 choice

Jul 25 14:29:16 pstudy kernel: Initializing USB Mass Storage driver...

Jul 25 14:29:16 pstudy kernel: scsi6 : SCSI emulation for USB Mass Storage devices

Jul 25 14:29:16 pstudy kernel: usbcore: registered new interface driver usb-storage

Jul 25 14:29:16 pstudy kernel: USB Mass Storage support registered.

Jul 25 14:29:21 pstudy kernel: scsi 6:0:0:0: Direct-Access     Imation   USB
Flash Drive 2.00 PQ: 0 ANSI: 2

Jul 25 14:29:22 pstudy kernel: ready

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] 1024000 512-byte hardware
sectors (524 MB)

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] Write Protect is off

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] 1024000 512-byte hardware
sectors (524 MB)

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] Write Protect is off

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through

Jul 25 14:29:22 pstudy kernel:  sdc: sdc1

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: [sdc] Attached SCSI removable disk

Jul 25 14:29:22 pstudy kernel: sd 6:0:0:0: Attached scsi generic sg3 type 0

Jul 25 14:29:45 pstudy gconfd (root-3186): starting (version 2.18.0.1), pid 3186
user 'root'

Jul 25 14:29:45 pstudy gconfd (root-3186): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0

Jul 25 14:29:45 pstudy gconfd (root-3186): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1

Jul 25 14:29:45 pstudy gconfd (root-3186): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
Comment 1 Mike Christie 2007-07-25 15:01:45 EDT
This does not seem to have anything to do with the scsi-target-utils package.
That package is for iscsi/scsi target mode (you can basically make your server
serve up scsi data).

Changing component to kernel.
Comment 2 Christopher Brown 2007-09-20 08:04:02 EDT
Hello Peter,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Christopher Brown 2008-01-09 12:19:29 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.